All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This class is subject to change. ***

## com.sas.iquery.metadata.business
Class DataItemActionType

    com.sas.iquery.metadata.business.DataItemActionType

All Implemented Interfaces:
  com.sas.util.LocalizableToStringInterface

    public class DataItemActionType

Specifies the different types of actions that can be performed on a data item. These actions are categorized into a few different groups: Steps, Sorts, Usages, Commands, and Other. Steps encapsulate all actions that need to be ordered and are implemented by the Step Model. Sorts groups all of the possible ways a DataItem can be Sorted. Usages (Detail, Category, Aggregation) define the way a DataItem is to be used. Commands are simply business metadata for the common application actions that may be written. These types are not honored directly by the DataItem; however, the information is persisted with the DataItem for use by an application. Other is for actions that do not fall into these categories.

See Also:
  `DataItem`

Field Summary
`static java.util.List` | `ALL_GROUP_FORMATTING_ACTIONS`
`static java.util.List` | `ALL_SORT_FORMATTING_ACTIONS`
`static java.util.List` | `ALL_SORT_TYPE_ACTIONS` All sort action (ASCENDING, DESCENDING (with and without hierarchy maintained for OLAP information maps)
`static java.util.List` | `ALL_STEP_ACTIONS` All Step action (member filter, databased, rank, and navigate)
`static java.util.List` | `ALL_USAGE_ACTIONS` All Usage actions (Detail, Category, and Aggregate)
`static DataItemActionType` | `GROUP_FORMATTING_BY_DEFAULT_BEHAVIOR` The GROUP_BY_DEFAULT_BEHAVIOR specifies that when grouping use the values determined by the default IQ rules.
`static DataItemActionType` | `GROUP_FORMATTING_BY_FORMATTED_VALUES` The GROUP_BY_FORMATTED_VALUES specifies that when grouping override IQ rules and use the formatted values.
`static DataItemActionType` | `GROUP_FORMATTING_BY_UNFORMATTED_VALUES` The GROUP_BY_UNFORMATTED_VALUES specifies that when grouping override IQ rules and use the unformatted values.
`static DataItemActionType` | `OTHER_ALL_ROWS_INCLUDED` The OTHER_ALL_ROWS_INCLUDED action is an indication of whether all rows of data should be returned for this DataItem.
`static DataItemActionType` | `OTHER_CALCULATED_MEMBER` The OTHER_CALCULATED_MEMBER action allows the user to define a (or remove an existing) open ended expression.
`static DataItemActionType` | `OTHER_EXPRESSION` The OTHER_EXPRESSION action determines whether the expression can be set.
`static DataItemActionType` | `OTHER_FORMAT` The OTHER_FORMAT action determines whether the format can be set.
`static DataItemActionType` | `OTHER_LOOKUP` The OTHER_LOOKUP action determines whether setting lookup information on a data item is allowed.
`static DataItemActionType` | `SORT_ASCENDING` The SORT_ASCENDING action sorts a DataItem in an ascending direction.
`static DataItemActionType` | `SORT_CRITERIA` The SORT_CRITERIA determines whether the sort criteria can be set.
`static DataItemActionType` | `SORT_DESCENDING` The SORT_DESCENDING action sorts a DataItem in an descending direction.
`static DataItemActionType` | `SORT_FORMATTING_BY_DEFAULT_BEHAVIOR` The SORT_BY_DEFAULT_BEHAVIOR specifies that when sorting use the values determined by the default IQ rules.
`static DataItemActionType` | `SORT_FORMATTING_BY_FORMATTED_VALUES` The SORT_BY_FORMATTED_VALUES specifies that when sorting override IQ rules and use the formatted values.
`static DataItemActionType` | `SORT_FORMATTING_BY_UNFORMATTED_VALUES` The SORT_BY_UNFORMATTED_VALUES specifies that when sorting override IQ rules and use the unformatted values.
`static DataItemActionType` | `SORT_HIERARCHICAL_ASCENDING` The SORT_HIERARCHICAL_ASCENDING action sorts a DataItem in an ascending direction and takes the Hierarchy into account.
`static DataItemActionType` | `SORT_HIERARCHICAL_DESCENDING` The SORT_HIERARCHICAL_DESCENDING action sorts a DataItem in an descending direction and takes the Hierarchy into account.
`static DataItemActionType` | `SORT_NONE` The SORT_NONE action removes any sort criteria on a DataItem.
`static DataItemActionType` | `STEP_DATABASED_FILTER` The STEP_DATABASED_FILTER action selects a set of Members based on some data-based criteria.
`static DataItemActionType` | `STEP_DATE_FILTER` The STEP_DATE_FILTER action includes/excludes a set of Members from some superset of those Members based on date values.
`static DataItemActionType` | `STEP_MEMBER_FILTER` The STEP_MEMBER_FILTER action includes/excludes a set of Members from some superset of those Members.
`static DataItemActionType` | `STEP_MEMBER_PROPERTY_FILTER` The STEP_MEMBER_PROPERTY_FILTER action includes/excludes a set of Members from some superset of those Members based on a member property.
`static DataItemActionType` | `STEP_NAVIGATE` The STEP_NAVIGATE action is used for commands such as Drill Down, Expand, Collapse, and Drill Up within the context of the DataItem and its elements.
`static DataItemActionType` | `STEP_RANK` The STEP_RANK action ranks a set of Members based on some specified context (Eg 1999, Sales).
`static DataItemActionType` | `TOTAL` The TOTAL action defines the inclusion of various types of grand totals and subtotals.
`static DataItemActionType` | `USAGE_AGGREGATE` The USAGE_AGGREGATE action allows the DataItem's values to be aggregated.
`static DataItemActionType` | `USAGE_CATEGORY` The USAGE_CATEGORY action allows the DataItem's values to be categorized.
`static DataItemActionType` | `USAGE_DETAIL` The USAGE_DETAIL action allows all of the DataItem's values to be returned without any Aggregation or Categorization.

Field Detail

*** This field is subject to change. ***

### STEP_MEMBER_FILTER

    public static final DataItemActionType STEP_MEMBER_FILTER

  The STEP_MEMBER_FILTER action includes/excludes a set of Members from some superset of those Members.

*** This field is subject to change. ***

### STEP_MEMBER_PROPERTY_FILTER

    public static final DataItemActionType STEP_MEMBER_PROPERTY_FILTER

  The STEP_MEMBER_PROPERTY_FILTER action includes/excludes a set of Members from some superset of those Members based on a member property.

*** This field is subject to change. ***

### STEP_DATE_FILTER

    public static final DataItemActionType STEP_DATE_FILTER

  The STEP_DATE_FILTER action includes/excludes a set of Members from some superset of those Members based on date values.

*** This field is subject to change. ***

### STEP_DATABASED_FILTER

    public static final DataItemActionType STEP_DATABASED_FILTER

  The STEP_DATABASED_FILTER action selects a set of Members based on some data-based criteria.

*** This field is subject to change. ***

### STEP_RANK

    public static final DataItemActionType STEP_RANK

  The STEP_RANK action ranks a set of Members based on some specified context (Eg 1999, Sales).

*** This field is subject to change. ***

### STEP_NAVIGATE

    public static final DataItemActionType STEP_NAVIGATE

  The STEP_NAVIGATE action is used for commands such as Drill Down, Expand, Collapse, and Drill Up within the context of the DataItem and its elements.

*** This field is subject to change. ***

### SORT_ASCENDING

    public static final DataItemActionType SORT_ASCENDING

  The SORT_ASCENDING action sorts a DataItem in an ascending direction.

*** This field is subject to change. ***

### SORT_DESCENDING

    public static final DataItemActionType SORT_DESCENDING

  The SORT_DESCENDING action sorts a DataItem in an descending direction.

*** This field is subject to change. ***

### SORT_HIERARCHICAL_ASCENDING

    public static final DataItemActionType SORT_HIERARCHICAL_ASCENDING

  The SORT_HIERARCHICAL_ASCENDING action sorts a DataItem in an ascending direction and takes the Hierarchy into account.

*** This field is subject to change. ***

### SORT_HIERARCHICAL_DESCENDING

    public static final DataItemActionType SORT_HIERARCHICAL_DESCENDING

  The SORT_HIERARCHICAL_DESCENDING action sorts a DataItem in an descending direction and takes the Hierarchy into account.

*** This field is subject to change. ***

### SORT_NONE

    public static final DataItemActionType SORT_NONE

  The SORT_NONE action removes any sort criteria on a DataItem.

*** This field is subject to change. ***

### SORT_CRITERIA

    public static final DataItemActionType SORT_CRITERIA

  The SORT_CRITERIA determines whether the sort criteria can be set.

*** This field is subject to change. ***

### USAGE_DETAIL

    public static final DataItemActionType USAGE_DETAIL

  The USAGE_DETAIL action allows all of the DataItem's values to be returned without any Aggregation or Categorization.

*** This field is subject to change. ***

### USAGE_CATEGORY

    public static final DataItemActionType USAGE_CATEGORY

  The USAGE_CATEGORY action allows the DataItem's values to be categorized.

*** This field is subject to change. ***

### USAGE_AGGREGATE

    public static final DataItemActionType USAGE_AGGREGATE

  The USAGE_AGGREGATE action allows the DataItem's values to be aggregated.

*** This field is subject to change. ***

### TOTAL

    public static final DataItemActionType TOTAL

  The TOTAL action defines the inclusion of various types of grand totals and subtotals.

*** This field is subject to change. ***

### OTHER_CALCULATED_MEMBER

    public static final DataItemActionType OTHER_CALCULATED_MEMBER

  The OTHER_CALCULATED_MEMBER action allows the user to define a (or remove an existing) open ended expression. In the context of a DataItem the expression's operands and the results of the expression are within the confines of the DataItem itself. A Calculated Item can also be defined at the DataSelection layer, which allows for a more open ended expression.

*** This field is subject to change. ***

### OTHER_ALL_ROWS_INCLUDED

    public static final DataItemActionType OTHER_ALL_ROWS_INCLUDED

  The OTHER_ALL_ROWS_INCLUDED action is an indication of whether all rows of data should be returned for this DataItem. If set then all rows of data will be returned for this DataItem, else then some rows may be dropped if multiple tables are used in a selection. This action only applies to DataItems whose structure is a COLUMN.

*** This field is subject to change. ***

### OTHER_EXPRESSION

    public static final DataItemActionType OTHER_EXPRESSION

  The OTHER_EXPRESSION action determines whether the expression can be set.

*** This field is subject to change. ***

### OTHER_FORMAT

    public static final DataItemActionType OTHER_FORMAT

  The OTHER_FORMAT action determines whether the format can be set.

*** This field is subject to change. ***

### OTHER_LOOKUP

    public static final DataItemActionType OTHER_LOOKUP

  The OTHER_LOOKUP action determines whether setting lookup information on a data item is allowed.

*** This field is subject to change. ***

### GROUP_FORMATTING_BY_DEFAULT_BEHAVIOR

    public static final DataItemActionType GROUP_FORMATTING_BY_DEFAULT_BEHAVIOR

  The GROUP_BY_DEFAULT_BEHAVIOR specifies that when grouping use the values determined by the default IQ rules.

*** This field is subject to change. ***

### GROUP_FORMATTING_BY_FORMATTED_VALUES

    public static final DataItemActionType GROUP_FORMATTING_BY_FORMATTED_VALUES

  The GROUP_BY_FORMATTED_VALUES specifies that when grouping override IQ rules and use the formatted values.

*** This field is subject to change. ***

### GROUP_FORMATTING_BY_UNFORMATTED_VALUES

    public static final DataItemActionType GROUP_FORMATTING_BY_UNFORMATTED_VALUES

  The GROUP_BY_UNFORMATTED_VALUES specifies that when grouping override IQ rules and use the unformatted values.

*** This field is subject to change. ***

### SORT_FORMATTING_BY_DEFAULT_BEHAVIOR

    public static final DataItemActionType SORT_FORMATTING_BY_DEFAULT_BEHAVIOR

  The SORT_BY_DEFAULT_BEHAVIOR specifies that when sorting use the values determined by the default IQ rules.

*** This field is subject to change. ***

### SORT_FORMATTING_BY_FORMATTED_VALUES

    public static final DataItemActionType SORT_FORMATTING_BY_FORMATTED_VALUES

  The SORT_BY_FORMATTED_VALUES specifies that when sorting override IQ rules and use the formatted values.

*** This field is subject to change. ***

### SORT_FORMATTING_BY_UNFORMATTED_VALUES

    public static final DataItemActionType SORT_FORMATTING_BY_UNFORMATTED_VALUES

  The SORT_BY_UNFORMATTED_VALUES specifies that when sorting override IQ rules and use the unformatted values.

*** This field is subject to change. ***

### ALL_GROUP_FORMATTING_ACTIONS

    public static final java.util.List ALL_GROUP_FORMATTING_ACTIONS

*** This field is subject to change. ***

### ALL_SORT_FORMATTING_ACTIONS

    public static final java.util.List ALL_SORT_FORMATTING_ACTIONS

*** This field is subject to change. ***

### ALL_USAGE_ACTIONS

    public static final java.util.List ALL_USAGE_ACTIONS

  All Usage actions (Detail, Category, and Aggregate)

*** This field is subject to change. ***

### ALL_STEP_ACTIONS

    public static final java.util.List ALL_STEP_ACTIONS

  All Step action (member filter, databased, rank, and navigate)

*** This field is subject to change. ***

### ALL_SORT_TYPE_ACTIONS

    public static final java.util.List ALL_SORT_TYPE_ACTIONS

  All sort action (ASCENDING, DESCENDING (with and without hierarchy maintained for OLAP information maps)

*** This class is subject to change. ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Query |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.